Summary:	Userspace tools for interacting with the Connection Tracking System
Name:		conntrack-tools
Version:	1.4.6
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.netfilter.org/projects/conntrack-tools/index.html
Source:         http://netfilter.org/projects/conntrack-tools/files/%{name}-%{version}.tar.bz2
Source2:        http://netfilter.org/projects/conntrack-tools/files/%{name}-%{version}.tar.bz2.sig
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libmnl) >= 1.0.3
BuildRequires:	pkgconfig(libnetfilter_conntrack) >= 1.0.7
BuildRequires:	pkgconfig(libnetfilter_cthelper) >= 1.0.0
BuildRequires:	pkgconfig(libnetfilter_cttimeout) >= 1.0.0
BuildRequires:	pkgconfig(libnetfilter_queue) >= 1.0.2
BuildRequires:	pkgconfig(libnfnetlink) >= 1.0.1
BuildRequires:	pkgconfig(libsystemd) >= 227
BuildRequires:	pkgconfig(libtirpc)

%description
The conntrack-tools are a set of tools targeted at system administrators.
They are conntrack, the userspace command line interface, and conntrackd,
the userspace daemon. The tool conntrack provides a full featured interface
that has replaced the old procfs interface. Using conntrack, you can view and
manage the in-kernel connection tracking state table from userspace. On the
other hand, conntrackd covers the specific aspects of stateful firewalls to
enable highly available scenarios, and can be used as statistics collector as
well.

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --enable-systemd \
    --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS TODO doc/stats/conntrackd.conf
%{_sbindir}/conntrack
%{_sbindir}/conntrackd
%{_sbindir}/nfct
%{_libdir}/%{name}
%{_mandir}/man5/conntrackd.conf.5*
%{_mandir}/man8/conntrack.8*
%{_mandir}/man8/conntrackd.8*
%{_mandir}/man8/nfct.8*


%changelog
* Sat Dec 12 2020 wally <wally> 1.4.6-2.mga8
+ Revision: 1655801
- BR libtirpc

* Tue Apr 28 2020 daviddavid <daviddavid> 1.4.6-1.mga8
+ Revision: 1572613
- new version: 1.4.6

* Wed Feb 12 2020 umeabot <umeabot> 1.4.5-3.mga8
+ Revision: 1511465
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.5-2.mga7
+ Revision: 1296768
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 1.4.5-1.mga7
+ Revision: 1229944
- new version: 1.4.5

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.4.4-1.mga6
+ Revision: 1051192
- 1.4.4
- enable systemd support for conntrackd
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 blino <blino> 1.4.3-1.mga6
+ Revision: 903714
- 1.4.3
- drop merged CVE fix (was from upstream)

* Wed Sep 02 2015 luigiwalser <luigiwalser> 1.4.2-7.mga6
+ Revision: 872272
- add upstream patch to fix CVE-2015-6496

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-6.mga5
+ Revision: 746820
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.2-5.mga5
+ Revision: 726063
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 693680
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-3.mga5
+ Revision: 678528
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.2-2.mga4
+ Revision: 532942
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 oden <oden> 1.4.2-1.mga4
+ Revision: 470303
- 1.4.2

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 348117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 303791
- update file list
- new version 1.4.0

* Sun May 27 2012 blino <blino> 1.0.1-2.mga3
+ Revision: 247570
- imported package conntrack-tools


* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2
+ Revision: 791286
- rebuild

* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1
+ Revision: 791227
- import conntrack-tools


* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1
- initial Mandriva package
